<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="detectedFileName"
            type="androidx.lifecycle.LiveData&lt;String>" />

        <variable
            name="cancelClick"
            type="android.view.View.OnClickListener" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:keepScreenOn="true"
        tools:background="@color/black70">


        <Space
            android:id="@+id/space"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:40"
            app:layout_constraintTop_toTopOf="parent" />


        <View
            android:id="@+id/v_bg"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_scan_file_dialog"
            app:layout_constraintDimensionRatio="280:200"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/space"
            app:layout_constraintWidth_percent="0.7777777777777778" />

        <TextView
            android:id="@+id/tv_detected_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/scan_file_title"
            android:textColor="#404040"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/v_bg"
            app:layout_constraintEnd_toEndOf="@id/v_bg"
            app:layout_constraintStart_toStartOf="@id/v_bg"
            app:layout_constraintTop_toTopOf="@id/v_bg"
            app:layout_constraintVertical_bias="0.3932584269662921" />

        <Space
            android:id="@+id/space2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:10"
            app:layout_constraintTop_toBottomOf="@+id/tv_detected_title" />


        <com.opensource.svgaplayer.SVGAImageView
            android:id="@+id/svga_scan"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:autoPlay="true"
            app:layout_constraintDimensionRatio="156:104"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.4333333333333333"
            app:source="svga/scan_file.svga" />


        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="@id/v_bg"
            app:layout_constraintStart_toStartOf="@id/v_bg"
            app:layout_constraintTop_toBottomOf="@+id/space2"
            app:layout_constraintWidth_percent="0.62">

            <com.opensource.svgaplayer.SVGAImageView
                android:id="@+id/svga_file_icon"
                android:layout_width="16dp"
                android:layout_height="16dp"
                app:autoPlay="true"
                app:source="svga/spin_in_circles.svga" />

            <TextView
                tools:text="sdadadadadadad"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="6dp"
                android:ellipsize="start"
                android:singleLine="true"
                android:text="@{detectedFileName}"
                android:textColor="#A7A7A7"
                android:textSize="14sp" />

        </LinearLayout>


        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_common_disable_btn"
            android:gravity="center"
            android:onClick="@{cancelClick}"
            android:text="@string/dialog_cancel_scan"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@+id/v_bg"
            app:layout_constraintDimensionRatio="120:36"
            app:layout_constraintEnd_toEndOf="@+id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toTopOf="@+id/v_bg"
            app:layout_constraintVertical_bias="0.9146341463414634"
            app:layout_constraintWidth_percent="0.3333333333333333" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>